compact3
javax.lang.model.element

## Interface QualifiedNameable

All Superinterfaces:
  AnnotatedConstruct, Element

All Known Subinterfaces:
  PackageElement, TypeElement

    public interface QualifiedNameable
    extends Element

A mixin interface for an element that has a qualified name.

Since:
  1.7

### Method Summary

All Methods Instance Methods Abstract Methods
`Name` `getQualifiedName()` Returns the fully qualified name of an element.

### Methods inherited from interface javax.lang.model.element.Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

### Methods inherited from interface javax.lang.model.AnnotatedConstruct

`getAnnotationsByType`

### Method Detail

#### getQualifiedName

    Name getQualifiedName()

Returns the fully qualified name of an element.

Returns:
  the fully qualified name of an element